HOTSPOTTER(1)

NAME
hotspotter - Create CVA image from seamount flowlines

SYNOPSIS
hotspotter [infile(s)] -Estage_file -GCVAgrid -Ixinc[unit][=|+][/yinc[unit][=|+]] -Rwest/east/south/north[r] [ -C ] [ -Dfactor ] [ -F ] [ -H[i][nrec] ] [ -Nupper_age ] [ -T ] [ -V ] [ -:[i|o] ] [ -bi[s|S|d|D][ncol] ]

DESCRIPTION
hotspotter reads (longitude, latitude, amplitude, radius, age) records from infiles [or standard input] and calculates flowlines using the specified stage pole (Euler) rotations. These flowlines are convolved with the shape of the seamount (using a Gaussian shape given amplitude and radius = 6 sigma) and added up to give a Cumulative Volcano Amplitude grid (CVA). See option -: on how to read (latitude,longitude,...) files.
    No space between the option flag and the associated arguments. Use upper case for the option flags and lower case for modifiers.

infile(s)
    Data file(s) to be processed. If not given, standard input is read.

-E  Give file with stage poles and opening angles. This file must contain one record for each stage; each record must be of the following format:

        lon lat tstart tstop ccw-angle

    where tstart and tstop are in Ma and the rest is in degrees. The oldest stage must be listed first. tstart (tstop) is the age of the old (young) end of the stage. Blank lines and records whose first column contains # will be ignored.

-G  Specify name for output grid file.

-I  x_inc [and optionally y_inc] is the grid spacing. Append m to indicate minutes or c to indicate seconds. If one of the units e, k, i, or n is appended instead, the increment will be assumed to be in meter, km, miles, or nautical miles, respectively, and will be converted to the equivalent degrees longitude at the middle latitude of the region (the conversion depends on ELLIPSOID). If /y_inc is given but set to 0 it will be reset equal to x_inc; otherwise it will be converted to degrees latitude. If = is appended then the corresponding max x (east) or y (north) may be slightly adjusted to fit exactly the given increment [by default the increment may be adjusted slightly to fit the given domain]. Finally, instead of giving an increment you may specify the number of nodes desired by appending + to the supplied increment; the increment is then recalculated from the number of nodes and the domain. The resulting increment value depends on whether you have selected a gridline-registered or pixel- registered grid; see Appendix B for details.

-R  west, east, south, and north specify the Region of interest, and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of wesn. The two shorthands -Rg -Rd stand for global domain (0/360 or -180/+180 in longitude respectively, with -90/+90 in latitude).

OPTIONS

-C  Expect Total Reconstruction Poles (Finite Poles) rather than Backward Stage Poles [Default] File format is similar to the stage pole format except the youngest rotation must be listed first and that the tstart column is optional (assumed to be 0 Ma).

-D  Modify the sampling interval along flowlines. Default [0.5] gives approximately 2 points within each grid box. Smaller factors gives higher resolutions at the expense of longer processing time.

-F  Force pixel registration [Default is grid registration].

-H  Input file(s) has Header record(s). Number of header records can be changed by editing your .gmtdefaults4 file. If used, GMT default is 1 header record. Use -Hi if only input data should have header records [Default will write out header records if the input data have them].

-N  Set the upper age to assign seamounts whose crustal age is unknown (i.e. NaN) [no upper age].

-T  Truncate seamount ages exceeding the upper age set with -N [no truncation].

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-:  Toggles between (longitude,latitude) and (latitude,longitude) input and/or output. [Default is (longitude,latitude)]. Append i to select input only or o to select output only. [Default affects both].

-bi Selects binary input. Append s for single precision [Default is d (double)]. Uppercase S (or D) will force byte-swapping. Optionally, append ncol, the number of columns in your binary file if it exceeds the columns needed by the program. [Default is 5 input columns].

EXAMPLES
To create a CVA image from the Pacific (x,y,z,r,t) data in the file seamounts.d, using the DC85.d Euler poles, run

hotspotter seamounts.d -EDC85.d -GCVA.grd -R130/260/-66/60 -I10m -N145 -T -V

This file can then be plotted with grdimage.

SEE ALSO
GMT(1), grdimage(1), project(1), mapproject(1), backtracker(1), originator(1)

REFERENCES
Wessel, P., 1999, "Hotspotting" tools released, EOS Trans. AGU, 80 (29), p. 319.